SmartEmailing compatible CSV statistics
Semicolon separated CSV as SmartEmailing /api/csv: e-mail statistic ids, per-contact event details, list members.
Technická referencia je v angličtine (rovnako ako strojovo čitateľný dokument OpenAPI). Celú skupinu pre AI agenta načítate z /api/openapi.json?tag=SmartEmailing%20CSV.
Operácie
| Metóda | Cesta | Popis |
|---|---|---|
| GET | /api/csv/list-contacts | Members of a list (CSV) |
| GET | /api/csv/statistics/email/automation-email-statistic-id | E-mail statistic ids of automation e-mail nodes |
| GET | /api/csv/statistics/email/automation-email-statistic-id/{automation_id} | E-mail statistic ids of automation e-mail nodes of one automation |
| GET | /api/csv/statistics/email/{kind}-detail/{sid} | Per-contact events of an e-mail statistic id (sent, opened, clicked, bounced, unsubscribed) |
Members of a list (CSV)
GET /api/csv/list-contacts
Parametre
| Názov | Kde | Typ | Povinné | Popis |
|---|---|---|---|---|
listid | query | integer | áno |
Odpovede
- 200 OK:
text/csvstring
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 403 | Forbidden | |
| 404 | Not Found | |
| 422 | Validation failed: <parameter> | |
| 429 | Rate limit exceeded (...) |
E-mail statistic ids of automation e-mail nodes
GET /api/csv/statistics/email/automation-email-statistic-id
Odpovede
- 200 OK:
text/csvstring
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 403 | Forbidden | |
| 429 | Rate limit exceeded (...) |
E-mail statistic ids of automation e-mail nodes of one automation
GET /api/csv/statistics/email/automation-email-statistic-id/{automation_id}
Parametre
| Názov | Kde | Typ | Povinné | Popis |
|---|---|---|---|---|
automation_id | path | integer | áno |
Odpovede
- 200 OK:
text/csvstring
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 403 | Forbidden | |
| 429 | Rate limit exceeded (...) |
Per-contact events of an e-mail statistic id (sent, opened, clicked, bounced, unsubscribed)
GET /api/csv/statistics/email/{kind}-detail/{sid}
Parametre
| Názov | Kde | Typ | Povinné | Popis |
|---|---|---|---|---|
kind | path | one of: sent, opened, clicked, bounced, unsubscribed | áno | |
sid | path | string | áno | c<campaign id> or a<automation id>:<node key>. |
interval_from | query | string | nie | YYYY-MM-DD HH:MM:SS local time. |
interval_to | query | string | nie | YYYY-MM-DD HH:MM:SS local time. |
Odpovede
- 200 OK:
text/csvstring
Chyby
| Stav | Kód | Hodnoty message |
|---|---|---|
| 401 | Authentication Failed | |
| 403 | Forbidden | |
| 404 | Not Found | |
| 422 | Validation failed: <parameter> | |
| 429 | Rate limit exceeded (...) |
Schémy
SeError
| Pole | Typ | Povinné | Popis |
|---|---|---|---|
status | error | áno | |
meta | array of any | nie | |
message | string | áno |
{
"status": "error",
"meta": [],
"message": "Authentication Failed"
}